Bug 1118850 - Review Request: nosync - Preload library for disabling file's content synchronization
Review Request: nosync - Preload library for disabling file's content synchro...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-11 13:07 EDT by Mikolaj Izdebski
Modified: 2014-07-14 09:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-14 08:51:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msimacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2014-07-11 13:07:36 EDT
Spec URL: http://mizdebsk.fedorapeople.org/review/nosync/nosync.spec
SRPM URL: http://mizdebsk.fedorapeople.org/review/nosync/nosync-1.0-1.fc21.src.rpm
Description: nosync is a small preload library that can be used to disable
synchronization of file's content with storage devices on GNU/Linux.
It works by overriding implementations of certain standard functions
like fsync or open.
Fedora Account System Username: mizdebsk
Comment 1 Michael Simacek 2014-07-11 18:13:46 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)". Detailed output of licensecheck in /home/msimacek/nosync
     /review-nosync/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nosync-1.0-1.fc20.x86_64.rpm
          nosync-1.0-1.fc20.src.rpm
nosync.x86_64: W: spelling-error Summary(en_US) Preload -> Reload, P reload, Freeload
nosync.x86_64: W: spelling-error %description -l en_US preload -> reload, p reload, freeload
nosync.x86_64: W: spelling-error %description -l en_US fsync -> sync, f sync
nosync.src: W: spelling-error Summary(en_US) Preload -> Reload, P reload, Freeload
nosync.src: W: spelling-error %description -l en_US preload -> reload, p reload, freeload
nosync.src: W: spelling-error %description -l en_US fsync -> sync, f sync
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nosync
nosync.x86_64: W: spelling-error Summary(en_US) Preload -> Reload, P reload, Freeload
nosync.x86_64: W: spelling-error %description -l en_US preload -> reload, p reload, freeload
nosync.x86_64: W: spelling-error %description -l en_US fsync -> sync, f sync
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nosync (rpmlib, GLIBC filtered):
    ld-linux-x86-64.so.2()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
nosync:
    nosync
    nosync(x86-64)



Unversioned so-files
--------------------
nosync: /usr/lib64/nosync/nosync.so

Source checksums
----------------
http://github.com/kjn/nosync/archive/1.0.tar.gz#/nosync-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : d00e1a4ecdc0bd9bc73c3eaa9f62d11c8d039de59ab2d4eca6ea5bc3f0fc11c0
  CHECKSUM(SHA256) upstream package : d00e1a4ecdc0bd9bc73c3eaa9f62d11c8d039de59ab2d4eca6ea5bc3f0fc11c0


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -n nosync
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7130231

APPROVED
Comment 2 Mikolaj Izdebski 2014-07-12 13:57:14 EDT
New Package SCM Request
=======================
Package Name: nosync
Short Description: Preload library for disabling file's content synchronization
Owners: mizdebsk msimacek
Branches: f19 f20 f21 el5 el6 epel7
Comment 3 Gwyn Ciesla 2014-07-14 08:17:12 EDT
Git done (by process-git-requests).
Comment 4 Mikolaj Izdebski 2014-07-14 08:51:16 EDT
Built for rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=7137033
Comment 5 Mikolaj Izdebski 2014-07-14 09:02:27 EDT
Actually the build failed due to Koji problems:
https://fedorahosted.org/rel-eng/ticket/5942

I will resubmit once the issue is resolved.

Note You need to log in before you can comment on or make changes to this bug.